/*
** ============================================================================
**
** FILE
**  spi.h
**
** DESCRIPTION
**  Header file for the SPI functions
**
** CREATED
**  Silicon Laboratories Hungary Ltd
**
** COPYRIGHT
**  Copyright 2010 Silicon Laboratories, Inc.  
**	http://www.silabs.com
**
** ============================================================================
*/ 

#ifndef SPI_H
#define SPI_H

#include "compiler_defs.h"

                /* ======================================= *
                 *     T Y P E   D E C L A R A T I O N     *
                 * ======================================= */


                /* ======================================= *
                 *           P A R A M E T E R S           *
                 * ======================================= */


                /* ======================================= *
                 *          D E F I N I T I O N S          *
                 * ======================================= */


				/* ======================================= *
                 *            V A R I A B L E S            *
                 * ======================================= */


                /* ======================================= *
                 *  F U N C T I O N   P R O T O T Y P E S  *
                 * ======================================= */

void SpiWriteRegister (U8 reg, U8 value);
U8 SpiReadRegister (U8 reg);



#endif